using System.Text.Json.Serialization;

namespace DataSharing.Share.Dtos.Province.XieTong.Send
{
    /// <summary>
    /// 上报补充诉求
    /// </summary>
    public class SupplyCaseInfoSendInfo 
    {
        /// <summary>
        /// 补充人员
        /// </summary>
        [JsonPropertyName("SUPPLY_NAME")]
        public string SupplyName { get; set; }

        /// <summary>
        /// 补充时间
        /// </summary>
        [JsonPropertyName("SUPPLY_TIME")]
        public DateTime? SupplyTime { get; set; }

        /// <summary>
        /// 补充内容
        /// </summary>
        [JsonPropertyName("SUPPLY_CONTENT")]
        public string SupplyContent { get; set; }

        /// <summary>
        /// 服务工单编号
        /// </summary>
        [JsonPropertyName("CASE_SERIAL")]
        public string CaseSerial { get; set; }

        /// <summary>
        /// 行政区划代码
        /// </summary>
        [JsonPropertyName("AREA_CODE")]
        public string AreaCode { get; set; }

        /// <summary>
        /// 材料标识
        /// </summary>
        [JsonPropertyName("CLIENG_GUID")]
        public string CliengGuid { get; set; }
    }
}
